package com.agritrace.session;

import java.util.ArrayList;
import java.util.List;

import org.jboss.seam.annotations.Name;

import com.agritrace.entity.production.Analyse;
import com.agritrace.entity.production.OrdreIntervention;

@Name("analyseHome")
public class AnalyseHome<E> extends InterventionHome<Analyse> {

	public void setAnalyseIdIntervention(Long id) {
		setId(id);
	}

	public Long getAnalyseIdIntervention() {
		return (Long) getId();
	}

	@Override
	protected Analyse createInstance() {
		Analyse analyse = new Analyse();
		return analyse;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}
	
	@Override
	public Analyse getInstance() {
		return (Analyse) super.getInstance();
	}

	public void wire() {
		getInstance();
		super.wire();
	}

	public boolean isWired() {
		if(getInstance().getCampagne()==null || getInstance().getDomaine()==null)
			return false;
		return true;
	}

	public Analyse getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

	public List<OrdreIntervention> getListeOrdresIntervention() {
		return getInstance() == null ? null : new ArrayList<OrdreIntervention>(
				getInstance().getListeOrdresIntervention());
	}

}
