package com.agritrace.session;

import com.agritrace.entity.production.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("analyseList")
public class AnalyseList extends EntityQuery<Analyse> {

	private static final String EJBQL = "select analyse from Analyse analyse";

	private static final String[] RESTRICTIONS = {};

	private Analyse analyse = new Analyse();

	public AnalyseList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public Analyse getAnalyse() {
		return analyse;
	}
}
