package com.agritrace.session;

import java.util.ArrayList;
import java.util.List;

import org.jboss.seam.annotations.Name;

import com.agritrace.entity.production.AnalysePlantes;
import com.agritrace.entity.production.DetailsAnalyseRavageurs;

@Name("analysePlantesHome")
public class AnalysePlantesHome extends AnalyseHome<AnalysePlantes> {

	public void setAnalysePlantesIdIntervention(Long id) {
		setId(id);
	}

	public Long getAnalysePlantesIdIntervention() {
		return (Long) getId();
	}

	@Override
	protected AnalysePlantes createInstance() {
		AnalysePlantes analysePlantes = new AnalysePlantes();
		return analysePlantes;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}
	
	@Override
	public AnalysePlantes getInstance() {
		return (AnalysePlantes)super.getInstance();
	}


	public void wire() {
		getInstance();
		super.wire();
	}

	public boolean isWired() 
	{
		return super.isWired();
	}

	public AnalysePlantes getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

	public List<DetailsAnalyseRavageurs> getDetailsAnalyseRavageurs() {
		return getInstance() == null ? null
				: new ArrayList<DetailsAnalyseRavageurs>(getInstance()
						.getDetailsAnalyseRavageurs());
	}

}
