package com.agritrace.session;

import com.agritrace.entity.articles.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("articleFournisseurList")
public class ArticleFournisseurList extends EntityQuery<ArticleFournisseur> {

	private static final String EJBQL = "select articleFournisseur from ArticleFournisseur articleFournisseur";

	private static final String[] RESTRICTIONS = {};

	private ArticleFournisseur articleFournisseur = new ArticleFournisseur();

	public ArticleFournisseurList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public ArticleFournisseur getArticleFournisseur() {
		return articleFournisseur;
	}
}
