package com.agritrace.session;

import java.util.ArrayList;
import java.util.List;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

import com.agritrace.entity.convention.Campagne;
import com.agritrace.entity.convention.Semaine;

@Name("campagneHome")
public class CampagneHome extends EntityHome<Campagne> {

	
	public void setCampagneIdCampagne(Long id) {
		setId(id);
	}

	public Long getCampagneIdCampagne() {
		return (Long) getId();
	}

	@Override
	protected Campagne createInstance() {
		Campagne campagne = new Campagne();
		return campagne;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public Campagne getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}
	
	public List<Semaine> getListeSemaines() {
		return getInstance() == null ? null : new ArrayList<Semaine>(
				getInstance().getListeSemaines());
	}
	

}
