package com.agritrace.session;

import com.agritrace.entity.articles.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("categorieIntrantList")
public class CategorieIntrantList extends EntityQuery<CategorieIntrant> {

	private static final String EJBQL = "select categorieIntrant from CategorieIntrant categorieIntrant";

	private static final String[] RESTRICTIONS = {
			"lower(categorieIntrant.description) like lower(concat(#{categorieIntrantList.categorieIntrant.description},'%'))",
			"lower(categorieIntrant.libelleCategorie) like lower(concat(#{categorieIntrantList.categorieIntrant.libelleCategorie},'%'))", };

	private CategorieIntrant categorieIntrant = new CategorieIntrant();

	public CategorieIntrantList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public CategorieIntrant getCategorieIntrant() {
		return categorieIntrant;
	}
}
