package com.agritrace.session;

import java.util.Arrays;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;

import com.agritrace.entity.domaine.CertificationsDomaine;

@Name("certificationsDomaineList")
public class CertificationsDomaineList extends
		EntityQuery<CertificationsDomaine> {

	private static final String EJBQL = "select certificationsDomaine from CertificationsDomaine certificationsDomaine";

	private static final String[] RESTRICTIONS = { "lower(certificationsDomaine.anneeObtention) like lower(concat('%',concat(#{certificationsDomaineList.certificationsDomaine.anneeObtention},'%')))", };

	private CertificationsDomaine certificationsDomaine = new CertificationsDomaine();

	public CertificationsDomaineList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setRestrictionLogicOperator("or");
	}

	public CertificationsDomaine getCertificationsDomaine() {
		return certificationsDomaine;
	}
}
