package com.agritrace.session;

import com.agritrace.entity.production.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("cyclePlanningProductionList")
public class CyclePlanningProductionList extends
		EntityQuery<CyclePlanningProduction> {

	private static final String EJBQL = "select cyclePlanningProduction from CyclePlanningProduction cyclePlanningProduction";

	private static final String[] RESTRICTIONS = { "lower(cyclePlanningProduction.description) like lower(concat(#{cyclePlanningProductionList.cyclePlanningProduction.description},'%'))", };

	private CyclePlanningProduction cyclePlanningProduction = new CyclePlanningProduction();
	

	public CyclePlanningProductionList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public CyclePlanningProduction getCyclePlanningProduction() {
		return cyclePlanningProduction;
	}
}
