package com.agritrace.session;

import com.agritrace.entity.production.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("detailsOrdreProduitsList")
public class DetailsOrdreProduitsList extends EntityQuery<DetailsOrdreProduits> {

	private static final String EJBQL = "select detailsOrdreProduits from DetailsOrdreProduits detailsOrdreProduits";

	private static final String[] RESTRICTIONS = {
			"lower(detailsOrdreProduits.modeApplication) like lower(concat('%',concat(#{detailsOrdreProduitsList.detailsOrdreProduits.modeApplication},'%')))",
			"lower(detailsOrdreProduits.numeroLot) like lower(concat('%',concat(#{detailsOrdreProduitsList.detailsOrdreProduits.numeroLot},'%')))", };

	private DetailsOrdreProduits detailsOrdreProduits = new DetailsOrdreProduits();

	public DetailsOrdreProduitsList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setRestrictionLogicOperator("or");
	}

	public DetailsOrdreProduits getDetailsOrdreProduits() {
		return detailsOrdreProduits;
	}
}
