package com.agritrace.session;

import com.agritrace.entity.entrepots.*;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("emplacementHome")
public class EmplacementHome extends EntityHome<Emplacement> {

	@In(create = true)
	EntrepotHome entrepotHome;

	public void setEmplacementIdEmplacement(Long id) {
		setId(id);
	}

	public Long getEmplacementIdEmplacement() {
		return (Long) getId();
	}

	@Override
	protected Emplacement createInstance() {
		Emplacement emplacement = new Emplacement();
		return emplacement;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
		Entrepot entrepot = entrepotHome.getDefinedInstance();
		if (entrepot != null) {
			getInstance().setEntrepot(entrepot);
		}
	}

	public boolean isWired() {
		if (getInstance().getEntrepot() == null)
			return false;
		return true;
	}

	public Emplacement getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
