package com.agritrace.session;

import com.agritrace.entity.articles.*;
import java.util.ArrayList;
import java.util.List;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("especeHome")
public class EspeceHome extends EntityHome<Espece> {

	public void setEspeceIdEspece(Long id) {
		setId(id);
	}

	public Long getEspeceIdEspece() {
		return (Long) getId();
	}

	
	@Override
	protected Espece createInstance() {
		Espece espece = new Espece();
		return espece;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public Espece getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

	public List<Culture> getListeCultures() {
		return getInstance() == null ? null : new ArrayList<Culture>(
				getInstance().getListeCultures());
	}

}
