package com.agritrace.session;

import org.jboss.seam.annotations.Name;

import com.agritrace.entity.tiers.Fournisseur;

@Name("fournisseurHome")
public class FournisseurHome extends TiersHome<Fournisseur> {

	public void setFournisseurIdTiers(Integer id) {
		setId(id);
	}

	public Integer getFournisseurIdTiers() {
		return (Integer) getId();
	}

	@Override
	protected Fournisseur createInstance() {
		Fournisseur fournisseur = new Fournisseur();
		return fournisseur;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}
	
	public Fournisseur getInstance() {
		return (Fournisseur) super.getInstance();
	}

	public void wire() {
		getInstance();
		super.wire();
	}

	public boolean isWired() {
		return super.isWired();
	}

	public Fournisseur getDefinedInstance() {
		return isIdDefined() ? (Fournisseur)getInstance() : null;
	}

}
