package com.agritrace.session;

import java.util.ArrayList;
import java.util.List;

import javax.faces.event.ValueChangeEvent;

import org.jboss.seam.annotations.Name;
import com.agritrace.entity.articles.CiblesLutteBiologique;
import com.agritrace.entity.articles.LutteBiologique;
import com.agritrace.entity.unitesMesure.UniteMesure;

@Name("lutteBiologiqueHome")
public class LutteBiologiqueHome extends IntrantHome<LutteBiologique> {

	public void setLutteBiologiqueIdArticle(Long id) {
		setId(id);
	}

	public Long getLutteBiologiqueIdArticle() {
		return (Long) getId();
	}

	@Override
	protected LutteBiologique createInstance() {
		LutteBiologique lutteBiologique = new LutteBiologique();
		return lutteBiologique;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
		super.wire();
	}

	public LutteBiologique getInstance() {
		return (LutteBiologique)super.getInstance();
	}
	
	public boolean isWired() {
		return true;
	}

	
	public LutteBiologique getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

	public List<CiblesLutteBiologique> getListeCiblesLutteBiologique() {
		return getInstance() == null ? null
				: new ArrayList<CiblesLutteBiologique>(getInstance()
						.getListeCiblesLutteBiologique());
	}

	public void uniteChanged(ValueChangeEvent event)
	{
		UniteMesure uniteMesure = (UniteMesure)event.getNewValue();
		
		if(uniteMesure!=null)
		{
			System.out.println("****************** Une nouvelle unité de mesure a été choisi : "+uniteMesure.getSymboleUom());
			getInstance().setUniteMesure(uniteMesure);
		}
	}
}
