package com.agritrace.session;

import com.agritrace.entity.articles.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("marqueEquipementHome")
public class MarqueEquipementHome extends EntityHome<MarqueEquipement> {

	public void setMarqueEquipementIdMarqueEquipement(Long id) {
		setId(id);
	}

	public Long getMarqueEquipementIdMarqueEquipement() {
		return (Long) getId();
	}

	@Override
	protected MarqueEquipement createInstance() {
		MarqueEquipement marqueEquipement = new MarqueEquipement();
		return marqueEquipement;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public MarqueEquipement getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
