package com.agritrace.session;

import com.agritrace.entity.production.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("natureMaintenanceHome")
public class NatureMaintenanceHome extends EntityHome<NatureMaintenance> {

	public void setNatureMaintenanceIdNatureMaintenance(Integer id) {
		setId(id);
	}

	public Integer getNatureMaintenanceIdNatureMaintenance() {
		return (Integer) getId();
	}

	@Override
	protected NatureMaintenance createInstance() {
		NatureMaintenance natureMaintenance = new NatureMaintenance();
		return natureMaintenance;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public NatureMaintenance getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
