package com.agritrace.session;

import com.agritrace.entity.production.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("natureMaintenanceList")
public class NatureMaintenanceList extends EntityQuery<NatureMaintenance> {

	private static final String EJBQL = "select natureMaintenance from NatureMaintenance natureMaintenance";

	private static final String[] RESTRICTIONS = {
			"lower(natureMaintenance.description) like lower(concat(#{natureMaintenanceList.natureMaintenance.description},'%'))",
			"lower(natureMaintenance.natureMaintenance) like lower(concat(#{natureMaintenanceList.natureMaintenance.natureMaintenance},'%'))", };

	private NatureMaintenance natureMaintenance = new NatureMaintenance();

	public NatureMaintenanceList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public NatureMaintenance getNatureMaintenance() {
		return natureMaintenance;
	}
}
