package com.agritrace.session;

import java.util.Arrays;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;

import com.agritrace.entity.articles.NatureTraitement;

@Name("natureTraitementList")
public class NatureTraitementList extends EntityQuery<NatureTraitement> {

	private static final String EJBQL = "select natureTraitement from NatureTraitement natureTraitement";

	private static final String[] RESTRICTIONS = {
			"lower(natureTraitement.description) like lower(concat(#{natureTraitementList.natureTraitement.description},'%'))",
			"lower(natureTraitement.natureTraitement) like lower(concat(#{natureTraitementList.natureTraitement.natureTraitement},'%'))", };

	private NatureTraitement natureTraitement = new NatureTraitement();

	public NatureTraitementList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public NatureTraitement getNatureTraitement() {
		return natureTraitement;
	}
}
