package com.agritrace.session;

import com.agritrace.entity.production.*;
import java.util.ArrayList;
import java.util.List;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("registreHome")
public class RegistreHome extends EntityHome<Registre> {

	public void setRegistreIdRegistre(Long id) {
		setId(id);
	}

	public Long getRegistreIdRegistre() {
		return (Long) getId();
	}

	@Override
	protected Registre createInstance() {
		Registre registre = new Registre();
		return registre;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public Registre getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

	public List<Operation> getListeOperations() {
		return getInstance() == null ? null : new ArrayList<Operation>(
				getInstance().getListeOperations());
	}

}
