package com.agritrace.session;

import com.agritrace.entity.production.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("registreList")
public class RegistreList extends EntityQuery<Registre> {

	private static final String EJBQL = "select registre from Registre registre";

	private static final String[] RESTRICTIONS = {
			"lower(registre.description) like lower(concat(#{registreList.registre.description},'%'))",
			"lower(registre.registre) like lower(concat(#{registreList.registre.registre},'%'))", };

	private Registre registre = new Registre();

	public RegistreList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public Registre getRegistre() {
		return registre;
	}
}
