package com.agritrace.session;

import com.agritrace.entity.domaine.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("secteurHome")
public class SecteurHome extends EntityHome<Secteur> {

	public void setSecteurIdSecteur(Long id) {
		setId(id);
	}

	public Long getSecteurIdSecteur() {
		return (Long) getId();
	}

	@Override
	protected Secteur createInstance() {
		Secteur secteur = new Secteur();
		return secteur;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public Secteur getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
