package com.agritrace.session;

import javax.faces.event.ValueChangeEvent;

import com.agritrace.entity.userRoles.*;
import com.agritrace.entity.convention.Campagne;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Logger;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;
import org.jboss.seam.log.Log;

@Name("userAffectationCampagneHome")
public class UserAffectationCampagneHome extends
		EntityHome<UserAffectationCampagne> {

	/*
	@In(create = true)
	CampagneHome campagneHome;
	*/
	
	@In(create = true)
	UsersHome usersHome;
	
	@Logger
	Log logger;

	public void setUserAffectationCampagneIdUserAffectationCampagne(Long id) {
		setId(id);
	} 

	public Long getUserAffectationCampagneIdUserAffectationCampagne() {
		return (Long) getId();
	}

	@Override
	protected UserAffectationCampagne createInstance() {
		UserAffectationCampagne userAffectationCampagne = new UserAffectationCampagne();
		return userAffectationCampagne;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		
		getInstance();
		/*
		Campagne campagne = campagneHome.getDefinedInstance();
		if (campagne != null) {
			getInstance().setCampagne(campagne);
		}
		*/
		
		Users user = usersHome.getDefinedInstance();
		if (user != null) {
			getInstance().setUser(user);
		}
	}

	public boolean isWired() {
		if (getInstance().getCampagne() == null)
			return false;
		if (getInstance().getUser() == null)
			return false;
		return true;
	}

	public UserAffectationCampagne getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

	public void campagneChanged(ValueChangeEvent event)
	{
		logger
		.info(">>>>>>>>>>>>>>>>>>>> campagneChanged fired !!!!!!!!!!!!!!!!!!!!!");
		
		Campagne campagneSelected = (Campagne)event.getNewValue();
		
		if(campagneSelected!=null)
		{
			getInstance().setCampagne(campagneSelected);
			logger
			.info(">>>>>>>>>>>>>>>>>>>> [UserAffectationCampagne : campagneChanged] La valeur campagne a été changé :"+campagneSelected
					.getCampagne());
		}
	}
}
