package com.agritrace.session;

import org.jboss.seam.annotations.Name;

import com.agritrace.entity.production.AnalyseEau;

@Name("analyseEauHome")
public class AnalyseEauHome extends AnalyseHome<AnalyseEau> {

	public void setAnalyseEauIdIntervention(Long id) {
		setId(id);
	}

	public Long getAnalyseEauIdIntervention() {
		return (Long) getId();
	}

	@Override
	protected AnalyseEau createInstance() {
		AnalyseEau analyseEau = new AnalyseEau();
		return analyseEau;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}
	
	@Override
	public AnalyseEau getInstance() {
		return (AnalyseEau) super.getInstance();
	}

	public void wire() {
		getInstance();
		super.wire();
	}

	public boolean isWired() 
	{
		return super.isWired();
	}

	public AnalyseEau getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
