package com.agritrace.session;

import org.jboss.seam.annotations.Name;

import com.agritrace.entity.production.AnalyseSol;

@Name("analyseSolHome")
public class AnalyseSolHome extends AnalyseHome<AnalyseSol> {

	public void setAnalyseSolIdIntervention(Long id) {
		setId(id);
	}

	public Long getAnalyseSolIdIntervention() {
		return (Long) getId();
	}

	@Override
	protected AnalyseSol createInstance() {
		AnalyseSol analyseSol = new AnalyseSol();
		return analyseSol;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}
	
	@Override
	public AnalyseSol getInstance() {
		return (AnalyseSol) super.getInstance();
	}


	public void wire() {
		getInstance();
		super.wire();
	}

	public boolean isWired() 
	{
		return super.isWired();
	}

	public AnalyseSol getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
