package com.agritrace.session;

import com.agritrace.entity.tiers.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("categorieTiersList")
public class CategorieTiersList extends EntityQuery<CategorieTiers> {

	private static final String EJBQL = "select categorieTiers from CategorieTiers categorieTiers";

	private static final String[] RESTRICTIONS = { "lower(categorieTiers.libelleCategorieTiers) like lower(concat(#{categorieTiersList.categorieTiers.libelleCategorieTiers},'%'))", };

	private CategorieTiers categorieTiers = new CategorieTiers();

	public CategorieTiersList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public CategorieTiers getCategorieTiers() {
		return categorieTiers;
	}
}
