package com.agritrace.session;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

import com.agritrace.entity.domaine.Certification;

@Name("certificationHome")
public class CertificationHome extends EntityHome<Certification> {

	public void setCertificationIdCertification(Long id) {
		setId(id);
	}

	public Long getCertificationIdCertification() {
		return (Long) getId();
	}

	@Override
	protected Certification createInstance() {
		Certification certification = new Certification();
		return certification;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public Certification getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
