package com.agritrace.session;

import com.agritrace.entity.articles.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("ciblesPesticidesList")
public class CiblesPesticidesList extends EntityQuery<CiblesPesticides> {

	private static final String EJBQL = "select ciblesPesticides from CiblesPesticides ciblesPesticides";

	private static final String[] RESTRICTIONS = {};

	private CiblesPesticides ciblesPesticides = new CiblesPesticides();

	public CiblesPesticidesList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public CiblesPesticides getCiblesPesticides() {
		return ciblesPesticides;
	}
}
