package com.agritrace.session;

import com.agritrace.entity.production.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("detailsProduitsMaintenanceList")
public class DetailsProduitsMaintenanceList extends
		EntityQuery<DetailsProduitsMaintenance> {

	private static final String EJBQL = "select detailsProduitsMaintenance from DetailsProduitsMaintenance detailsProduitsMaintenance";

	private static final String[] RESTRICTIONS = {
		
		"lower(detailsProduitsMaintenance.maintenance.numeroMaitenance) like concat(lower(#{detailsProduitsMaintenanceList.numeroMaintenance}), '%')",
	};
	
	private String numeroMaintenance;
	
	private DetailsProduitsMaintenance detailsProduitsMaintenance = new DetailsProduitsMaintenance();

	public DetailsProduitsMaintenanceList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public DetailsProduitsMaintenance getDetailsProduitsMaintenance() {
		return detailsProduitsMaintenance;
	}

	public void setNumeroMaintenance(String numeroMaintenance) {
		this.numeroMaintenance = numeroMaintenance;
	}

	public String getNumeroMaintenance() {
		return numeroMaintenance;
	}
}
