package com.agritrace.session;

import com.agritrace.entity.devise.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("deviseHome")
public class DeviseHome extends EntityHome<Devise> {

	public void setDeviseIdDevise(Integer id) {
		setId(id);
	}

	public Integer getDeviseIdDevise() {
		return (Integer) getId();
	}

	@Override
	protected Devise createInstance() {
		Devise devise = new Devise();
		return devise;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public Devise getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
