package com.agritrace.session;

import javax.faces.event.ValueChangeEvent;

import org.jboss.seam.annotations.Name;

import com.agritrace.entity.articles.Engrais;
import com.agritrace.entity.unitesMesure.UniteMesure;

@Name("engraisHome")
public class EngraisHome extends IntrantHome<Engrais> {

	public void setEngraisIdArticle(Long id) {
		setId(id);
	}

	public Long getEngraisIdArticle() {
		return (Long) getId();
	}

	@Override
	protected Engrais createInstance() {
		Engrais engrais = new Engrais();
		return engrais;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public Engrais getInstance() 
	{
		return (Engrais)super.getInstance();
	}
	
	public void wire() {
		getInstance();
		super.wire();
	}

	public boolean isWired() {
		return true;
	}

	public Engrais getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}
	
	public void uniteChanged(ValueChangeEvent event)
	{
		UniteMesure uniteMesure = (UniteMesure)event.getNewValue();
		
		if(uniteMesure!=null)
		{
			System.out.println("****************** Une nouvelle unité de mesure a été choisi : "+uniteMesure.getSymboleUom());
			getInstance().setUniteMesure(uniteMesure);
		}
	}

}
