package com.agritrace.session;

import javax.faces.event.ValueChangeEvent;

import org.jboss.seam.annotations.Name;

import com.agritrace.entity.articles.Intrant;
import com.agritrace.entity.unitesMesure.UniteMesure;

@Name("intrantHome")
public class IntrantHome<E> extends ArticleHome<Intrant> {

	public void setIntrantIdArticle(Long id) {
		setId(id);
	}

	public Long getIntrantIdArticle() {
		return (Long) getId();
	}

	@Override
	protected Intrant createInstance() {
		Intrant intrant = new Intrant();
		return intrant;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}
	
	public Intrant getInstance() 
	{
		return (Intrant)super.getInstance();
	}

	public void wire() {
		getInstance();
		super.wire();
	}

	public boolean isWired() {
		return true;
	}

	public Intrant getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}
	
	public void uniteChanged(ValueChangeEvent event)
	{
		UniteMesure uniteMesure = (UniteMesure)event.getNewValue();
		
		if(uniteMesure!=null)
		{
			System.out.println("****************** Une nouvelle unité de mesure a été choisi : "+uniteMesure.getSymboleUom());
			getInstance().setUniteMesure(uniteMesure);
		}
	}

}
