package com.agritrace.session;

import com.agritrace.entity.entrepots.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("ligneMouvementInterEntrepotsList")
public class LigneMouvementInterEntrepotsList extends
		EntityQuery<LigneMouvementInterEntrepots> {

	private static final String EJBQL = "select ligneMouvementInterEntrepots from LigneMouvementInterEntrepots ligneMouvementInterEntrepots";

	private static final String[] RESTRICTIONS = { "lower(ligneMouvementInterEntrepots.numeroLot) like lower(concat(#{ligneMouvementInterEntrepotsList.ligneMouvementInterEntrepots.numeroLot},'%'))", };

	private LigneMouvementInterEntrepots ligneMouvementInterEntrepots = new LigneMouvementInterEntrepots();

	public LigneMouvementInterEntrepotsList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public LigneMouvementInterEntrepots getLigneMouvementInterEntrepots() {
		return ligneMouvementInterEntrepots;
	}
}
