package com.agritrace.session;

import com.agritrace.entity.articles.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("natureTraitementHome")
public class NatureTraitementHome extends EntityHome<NatureTraitement> {

	public void setNatureTraitementIdNatureTraitement(Long id) {
		setId(id);
	}

	public Long getNatureTraitementIdNatureTraitement() {
		return (Long) getId();
	}

	@Override
	protected NatureTraitement createInstance() {
		NatureTraitement natureTraitement = new NatureTraitement();
		return natureTraitement;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public NatureTraitement getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
