package com.agritrace.session;

import java.util.ArrayList;
import java.util.List;

import org.jboss.seam.annotations.Name;

import com.agritrace.entity.production.DetailsChateauxNettoyage;
import com.agritrace.entity.production.NettoyageChateauEau;

@Name("nettoyageChateauEauHome")
public class NettoyageChateauEauHome extends NettoyageHome<NettoyageChateauEau> {

	public void setNettoyageChateauEauIdIntervention(Long id) {
		setId(id);
	}

	public Long getNettoyageChateauEauIdIntervention() {
		return (Long) getId();
	}

	@Override
	protected NettoyageChateauEau createInstance() {
		NettoyageChateauEau nettoyageChateauEau = new NettoyageChateauEau();
		return nettoyageChateauEau;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}
	
	@Override
	public NettoyageChateauEau getInstance() {
		return (NettoyageChateauEau) super.getInstance();
	}

	public void wire() 
	{
		getInstance();
		super.wire();
	}

	public boolean isWired() 
	{
		return super.isWired();
	}

	public NettoyageChateauEau getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

	public List<DetailsChateauxNettoyage> getDetailsChateauxNettoyages() {
		return getInstance() == null ? null
				: new ArrayList<DetailsChateauxNettoyage>(getInstance()
						.getDetailsChateauxNettoyages());
	}
	
}
