package com.agritrace.session;

import org.jboss.seam.annotations.Name;

import com.agritrace.entity.production.Nettoyage;

@Name("nettoyageHome")
public class NettoyageHome<E> extends InterventionHome<Nettoyage> {

	public void setNettoyageIdIntervention(Long id) {
		setId(id);
	}

	public Long getNettoyageIdIntervention() {
		return (Long) getId();
	}

	@Override
	protected Nettoyage createInstance() {
		Nettoyage nettoyage = new Nettoyage();
		return nettoyage;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}
	
	@Override
	public Nettoyage getInstance() {
		return (Nettoyage) super.getInstance();
	}

	public void wire() 
	{
		getInstance();
		super.wire();
	}

	public boolean isWired() 
	{
		if(getInstance().getCampagne()==null || getInstance().getDomaine() == null)
			return false;
		return true;
	}

	public Nettoyage getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
