package com.agritrace.session;

import java.util.ArrayList;
import java.util.List;

import org.jboss.seam.annotations.Name;

import com.agritrace.entity.production.DetailsToilettesNettoyage;
import com.agritrace.entity.production.NettoyageToilette;

@Name("nettoyageToiletteHome")
public class NettoyageToiletteHome extends NettoyageHome<NettoyageToilette> 
{

	public void setNettoyageToiletteIdIntervention(Long id) {
		setId(id);
	}

	public Long getNettoyageToiletteIdIntervention() {
		return (Long) getId();
	}

	@Override
	protected NettoyageToilette createInstance() {
		NettoyageToilette nettoyageToilette = new NettoyageToilette();
		return nettoyageToilette;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}
	
	@Override
	public NettoyageToilette getInstance() {
		return (NettoyageToilette) super.getInstance();
	}

	public void wire() {
		getInstance();
		super.wire();
	}

	public boolean isWired() 
	{
		return super.isWired();
	}

	public List<DetailsToilettesNettoyage> getDetailsToilettesNettoyages() {
		return getInstance() == null ? null
				: new ArrayList<DetailsToilettesNettoyage>(getInstance()
						.getDetailsToilettesNettoyages());
	}
	
	public NettoyageToilette getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

	
}
