package com.agritrace.session;

import com.agritrace.entity.production.*;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("operationHome")
public class OperationHome extends EntityHome<Operation> {

	@In(create = true)
	RegistreHome registreHome;

	public void setOperationIdOperation(Long id) {
		setId(id);
	}

	public Long getOperationIdOperation() {
		return (Long) getId();
	}

	@Override
	protected Operation createInstance() {
		Operation operation = new Operation();
		return operation;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
		Registre registre = registreHome.getDefinedInstance();
		if (registre != null) {
			getInstance().setRegistre(registre);
		}
	}

	public boolean isWired() {
		if (getInstance().getRegistre() == null)
			return false;
		return true;
	}

	public Operation getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
