package com.agritrace.session;

import com.agritrace.entity.tiers.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("personnelFormationList")
public class PersonnelFormationList extends EntityQuery<PersonnelFormation> {

	private static final String EJBQL = "select personnelFormation from PersonnelFormation personnelFormation";

	private static final String[] RESTRICTIONS = {};

	private PersonnelFormation personnelFormation = new PersonnelFormation();

	public PersonnelFormationList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public PersonnelFormation getPersonnelFormation() {
		return personnelFormation;
	}
}
