package com.agritrace.session;

import com.agritrace.entity.articles.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("porteGreffeList")
public class PorteGreffeList extends EntityQuery<PorteGreffe> {

	private static final String EJBQL = "select porteGreffe from PorteGreffe porteGreffe";

	private static final String[] RESTRICTIONS = {
		
		"lower(porteGreffe.designation) like lower(concat(#{porteGreffeList.porteGreffe.designation},'%'))",
	};

	private PorteGreffe porteGreffe = new PorteGreffe();

	public PorteGreffeList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setRestrictionLogicOperator("or");
	}

	public PorteGreffe getPorteGreffe() {
		return porteGreffe;
	}
}
