package com.agritrace.session;

import com.agritrace.entity.gestionCommercial.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("retourList")
public class RetourList extends EntityQuery<Retour> {

	private static final String EJBQL = "select retour from Retour retour";

	private static final String[] RESTRICTIONS = { "lower(retour.numeroRetour) like lower(concat(#{retourList.retour.numeroRetour},'%'))", };

	private Retour retour = new Retour();

	public RetourList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public Retour getRetour() {
		return retour;
	}
}
