package com.agritrace.session;

import com.agritrace.entity.articles.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("typeEquipementHome")
public class TypeEquipementHome extends EntityHome<TypeEquipement> {

	public void setTypeEquipementIdTypeEquipement(Long id) {
		setId(id);
	}

	public Long getTypeEquipementIdTypeEquipement() {
		return (Long) getId();
	}

	@Override
	protected TypeEquipement createInstance() {
		TypeEquipement typeEquipement = new TypeEquipement();
		return typeEquipement;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public TypeEquipement getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
