package com.agritrace.session;

import com.agritrace.entity.domaine.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("typeSolHome")
public class TypeSolHome extends EntityHome<TypeSol> {

	public void setTypeSolIdTypeSol(Long id) {
		setId(id);
	}

	public Long getTypeSolIdTypeSol() {
		return (Long) getId();
	}

	@Override
	protected TypeSol createInstance() {
		TypeSol typeSol = new TypeSol();
		return typeSol;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public TypeSol getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
