package com.agritrace.session;

import com.agritrace.entity.userRoles.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("usersList")
public class UsersList extends EntityQuery<Users> {

	private static final String EJBQL = "select users from Users users";

	private static final String[] RESTRICTIONS = {
			"lower(users.description) like lower(concat(#{usersList.users.description},'%'))",
			"lower(users.nomUser) like lower(concat(#{usersList.users.nomUser},'%'))",
			"lower(users.password) like lower(concat(#{usersList.users.password},'%'))",
			"lower(users.prenomUser) like lower(concat(#{usersList.users.prenomUser},'%'))",
			"lower(users.username) like lower(concat(#{usersList.users.username},'%'))", };

	private Users users = new Users();

	public UsersList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(13);
	}

	public Users getUsers() {
		return users;
	}
}
