package com.agritrace.utils;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.Serializable;
import java.net.URL;
import java.util.List;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Create;
import org.jboss.seam.annotations.Destroy;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.input.SAXBuilder;
import org.jdom.output.Format;
import org.jdom.output.XMLOutputter;

@Name("parametre")
@Scope(ScopeType.SESSION)
public class Parametre implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	static Document document;
	
	static Element racine;
	
	private int counter;

	@Create
	public void init() 
	{
		System.out.println("Début de Lecture du fichier des paramétres");
		
		SAXBuilder sxb = new SAXBuilder();
		
		try 
		{
			document = sxb.build(new File("config.xml"));
			
			
			
		} catch (Exception e) 
		{
			e.printStackTrace();
		}

		// On initialise un nouvel élément racine avec l'élément racine du
		// document.
		racine = document.getRootElement();
	}

	@Destroy
	public void finnish() 
	{
		System.out.println("FIN DE Lecture du fichier du parametres **********************************");
	}


	
	public int getCounter() 
	{
		List<Element> liste = racine.getChildren("param");
		
		for (Element element : liste) 
		{
			if (element.getAttribute("name").getValue().equals("counter")) 
			{
				try 
				{
					counter = Integer.parseInt(element.getValue());
				} catch (NumberFormatException ex) 
				{
					System.out.println("Exception format !!!!!!!!!!!!");
					counter = 0;
				}

				break;
			}
		}
		return counter;
	}

	public void setCounter(int counter) {
		
		this.counter = counter;
		
		save();

	}

	@SuppressWarnings("unchecked")
	public void save() {

	try {

			List<Element> liste = racine.getChildren("param");
			
			for (Element element : liste)
			{
				if (element.getAttribute("name").getValue().equals("counter")) 
				{
					element.setText("" + counter);
				}
			
			}


			XMLOutputter sortie = new XMLOutputter(Format.getPrettyFormat());
			try 
			{
				sortie.output(document, new FileOutputStream("config.xml"));
	
			} catch (FileNotFoundException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}

		} catch (Exception e) 
		{
			e.printStackTrace();
			
		}

	}

}
